Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.event
Class PreRenderParentListener

    java.lang.Object
      org.richfaces.component.event.PreRenderParentListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener

    public abstract class PreRenderParentListener

extends Object
implements javax.faces.event.ComponentSystemEventListener, Serializable

Listener takes component to be processed before parent component is rendered.

The parent does not need to be parent component, but given component will be searched for in context of parent component by its id using `UIComponent.findComponent(String)`.

The listener for `PreRenderComponentEvent` will be automatically bound to parent component.

See Also:
  Serialized Form

Constructor Summary
`PreRenderParentListener(javax.faces.component.UIComponent parent, javax.faces.component.UIComponent component)`

Method Summary
`protected abstract void` | `preRenderParent(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Will be processed before the component which this event is registered to is rendered
`void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreRenderParentListener

    public PreRenderParentListener(javax.faces.component.UIComponent parent,
                                   javax.faces.component.UIComponent component)

Method Detail

### preRenderParent

    protected abstract void preRenderParent(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component)

  Will be processed before the component which this event is registered to is rendered

### processEvent

    public void processEvent(javax.faces.event.ComponentSystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.